#include "../datastructures/Body.hpp"
#include "MpiSimulation.hpp"

namespace nbody {
	MpiSimulation::MpiSimulation(int& argc, char**& argv) {
		MPI::Init(argc, argv);
		this->mpiSize = MPI::COMM_WORLD.Get_size();
		this->mpiRank = MPI::COMM_WORLD.Get_rank();

		MpiBodyComm buffer;
	}

	MpiSimulation::~MpiSimulation() {
		MPI::Finalize();
	}
}
